Bug 31925 - Memory usage code in V8GCController lacks PLATFORM(CHROMIUM) guards
Summary: Memory usage code in V8GCController lacks PLATFORM(CHROMIUM) guards
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Steve Block
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-27 04:17 PST by Steve Block
Modified: 2009-11-30 09:23 PST (History)
2 users (show)

See Also:


Attachments
Patch 1 for Bug 31925 (1.91 KB, patch)
2009-11-27 04:26 PST, Steve Block
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Block 2009-11-27 04:17:49 PST
Memory usage code in V8GCController lacks PLATFORM(CHROMIUM) guards. This code uses ChromiumBridge and Chromium-specific constant values.
Comment 1 Steve Block 2009-11-27 04:26:13 PST
Created attachment 43941 [details]
Patch 1 for Bug 31925
Comment 2 Eric Seidel (no email) 2009-11-28 09:37:17 PST
Comment on attachment 43941 [details]
Patch 1 for Bug 31925

I take it this is because Andriod is compiling with V8 now.  The ChangeLog might want to mention that. :)
Comment 3 Steve Block 2009-11-30 02:35:54 PST
This was introduced in http://trac.webkit.org/changeset/50752
Comment 4 Steve Block 2009-11-30 02:43:21 PST
Committed as http://trac.webkit.org/changeset/51483
Comment 5 anton muhin 2009-11-30 09:18:23 PST
(In reply to comment #4)
> Committed as http://trac.webkit.org/changeset/51483

Thanks and sorry for breaking it.  How could I have checked it before submitting?
Comment 6 Steve Block 2009-11-30 09:23:34 PST
> Thanks and sorry for breaking it.
No problem

> How could I have checked it before submitting?
You couldn't have. We're working as fast as we can to unfork the Android port and set up an Android buildbot!